Qt is an application framework originally created by Trolltech and currently managed by Digia. The KDE desktop uses the Qt framework for its applications.

learn more… | top users | synonyms

9
votes
4answers
573 views

What is the recommended widget toolkit for Ubuntu desktop?

As I understand it, Qt - C++ and QML - or HTML5 are recommended for writing Ubuntu for Phones applications. Also, correct me if I'm wrong, but Python is the preferred language for Ubuntu Desktop. ...
2
votes
1answer
104 views

Can I make my QT GUI programs run after completely removing unity desktop?

Can I make my QT GUI programs run after completely removing unity desktop? I am building a desktop environment on QT. How can I run my program without unity.
5
votes
1answer
592 views

QML/Qt Development path verses “Quickly” and Gtk

It seems like recently the path Ubuntu is moving towards is to have code developed with QML and Qt, and that appears to sync with their move to be able to target tablets, phones, TV devices and the ...
1
vote
0answers
95 views

Inner object properties are not shown in Qt Creator in debugging mode

I'm using Qt Creator 2.6.82 on Ubuntu 12.10. I wanted to figure out if some properties are correctly set, but I can't see them. This is the deepest I can get (I can't even open the QObject node) ...
0
votes
1answer
4k views

How to install qt sdk (qt 4.x) by apt-get (the full version)?

I've installed QtSdk-offline-linux-x86-v1.2.1 on Ubuntu 12.10 it has some bugs, crashes all the time. It does not appear in the Ubuntu Software Center and would not upgrade to the new version by ...
1
vote
0answers
133 views

IPython qtconsole not launching, Ubuntu 12.04

When I try launch Ipython qtconsole from terminal, I get the following error: python: /build/buildd/sip4-4.13.2/siplib/siplib.c:7915: sip_api_can_convert_to_type: Assertion `(((td)->td_flags & ...
11
votes
4answers
16k views

How to use Qt Creator with Python?

I want to use Qt for developing Ubuntu desktop, phone and tablet applications but I don't want to learn a new programming language (C++, JavaScript). Is it possible to write Qt application in Python ...
2
votes
1answer
262 views

How to parse text messages on Ubuntu Touch

Hi I want to be able to parse text messages on Ubuntu Touch for a specific key word. I understand how to do it on Android, but it is looking like this is very different than on Ubuntu Touch. ...
3
votes
0answers
160 views

What is the fundamental GUI library for Ubuntu starting with 12.04?

I have started exploring deeply into doing development for the Ubuntu phone. In the past, and having used stock Ubuntu, I always found that GTK was the standard GUI library. But now, with the phone ...
1
vote
1answer
136 views

How do I add QtDeclarative to the pkg-config list

I installed today the libqt5 and QtQuick development stacks. In trying to also install the hsqml packages for Haskell, hsqml reports that QtDeclarative is not listed in pkg-config. However, I have ...
2
votes
1answer
2k views

How do I install the QtWebKit 3.0 module for Qt Creator?

I'm trying to add a webview to my project, but the module isn't installed. I'm new to qml and qt and I'm not sure how to install the module. Thanks
5
votes
1answer
321 views

Can I make ReText use a different font type for displaying code?

I'm using ReText 3.1.4 (Lubuntu 12.10) to make notes for myself. I want to know if it's possible to use a different font for displaying text that is marked as code in preview mode: In the image, ...
1
vote
1answer
144 views

ListView Subtitled delegate, icon size and title word wrapping?

I'm working on an ubuntu mobile app and I have a few questions about customizing a listview. The listitem may contain an icon, but will have a title and subtitle. What I'm having trouble with is ...
5
votes
2answers
1k views

QtCreator plugins and templates missing

I just downloaded the Ubuntu phone SDK and QT creator according to the instructions. When I fire up QTCreator, I get a screen as shown If I ignore this message and hit continue, there are no ...
1
vote
1answer
436 views

Where can I find a Simple Hello World example for Ubuntu SDK (QT)?

I've been trying to get a simple window with button. And i have no idea on how to "bind" a button from the QML thing to a C/C++ function for example. I followed the example from developer.ubuntu.com ...
0
votes
1answer
184 views

How to properly get screen rotation programmatically?

I need to programatically obtain screen rotation. I'm using Qt and the X extension XRandr. I'm trying the following: Display *dpy; Window root; XRRScreenConfiguration *conf; Rotation rotation; int ...
2
votes
1answer
770 views

Qt 5.0.1 for Ubuntu

So i've asked before, but the answer was that i should install Ubuntu Phone SDK, which, doesn't seem to be the best way. I've looked on Software Center but it's not there. Downloading though the Qt ...
1
vote
2answers
241 views

Does a company writing C++ apps have to share its source code if it calls unmodified QT or Ubuntu libraries?

What is the relationship between Ubuntu and QT and Canonical? The coming Ubuntu phone looks interesting. Ubuntu seems to be interwoven with QT. If my company wants to write commercial C++ apps ...
6
votes
3answers
2k views

Problems with QML Tool Kit Installation: “unmet dependencies: qt-components-ubuntu: … ”

I am following the directions on the page for Ubuntu App Development: http://developer.ubuntu.com/get-started/gomobile/ Command 1: sudo add-apt-repository ppa:canonical-qt5-edgers/qt5-beta1 ...
-1
votes
1answer
120 views

Is there any plan to merge `qt-components-ubuntu` into official QT/QML?

Is there any plan to merge qt-components-ubuntu into official QT/QML? Is it ongoing already? It's quite sad that ubuntu forked qt. I want to use qml to build a desktop app, and widgets introduced in ...
9
votes
2answers
5k views

what is KDE, GTK, GTK+, QT, and/or GNOME? [duplicate]

Possible Duplicate: What different desktop environments and shells are available? I'm new to Ubuntu (and linux in general). Some times when looking at programs in the Ubuntu Software ...
2
votes
0answers
398 views

Is it possible to get PdfEdit running on Ubuntu 12.10 using qt3to4? [duplicate]

PdfEdit is pretty much the only FOSS low-level PDF-editing tool out there. It's pretty useful, and pretty recent since it's updated in 2012. However, it's a shame that packages are nowhere to be ...
1
vote
0answers
1k views

Not finding QT4 QWidget after update

Updated from buntu 11.0 to 12.04. I use to have QT4 ver 4.7.4, now I have 4.8.1. My project is failing to build because it can't find #include <QWidget>. A search of the disk tells me there is ...
2
votes
1answer
184 views

Why does Software Center report qt4 as unmet dependency, when I already have qt5 installed?

I installed qtspim which requires qt4 to be installed. As I already have qt5 installed on my system, qtspim is working fine. However, Software Center reports dependency error. When I run apt-get ...
0
votes
0answers
54 views

Software center requires qt4, I have qt 5 [duplicate]

Possible Duplicate: Why does Software Center report qt4 as unmet dependency, when I already have qt5 installed? i have installed qtspim which depends upon qt4. I have already installed qt5 ...
5
votes
1answer
3k views

Receiving error while trying to debug in QtProject

I installed the latest version of the QtProject so now I can debug C++ code. While trying to debug for the first time I got this error: ptrace: Operation not permitted. Could not attach to the ...
1
vote
1answer
125 views

QT creator tutorial: Itemstyle invalid

Running the Currencyconverter tutorial "itemstyle" in the following line is underlined with red: ItemStyle.class: "title" with an error "invalid property name" How to fix this error?
1
vote
1answer
1k views

How to install PyQt4 for Python2.6?

I am currently stuck using both Python2.6 and Python2.7 on Lubuntu 12.10. 2.6 is required for a piece of software. In attempting to write a plug-in for this software (Opticks), I need to be able to ...
0
votes
1answer
2k views

Debug Qt application on ubuntu with root permission using qt creator

It is possible to run my application with root priviliges using sudo, like this: sudo ./MyApp Is it possible to debug my Qt application using root priviliges using QtCreator? How can I do this on ...
6
votes
1answer
7k views

How do I install Qt5, which comes as a .run file? [duplicate]

I downloaded http://qt-project.org/downloads Qt5 Libary for Linux 64bit The library format is .run But if I try to open it, I'll get the following error sh ./qt.run ./qt.run: 1: ./qt.run: cannot ...
8
votes
4answers
5k views

“QtQuick version 2.0 is not installed” while trying to run CurrencyConverter Example for Ubuntu Phone

I was following the step-by-step guide on how to develop an Ubuntu Phone application but Qt Creator throughs the error message (module "QtQuick" version 2.0 is not installed) when I run it with ...
3
votes
1answer
4k views

QGtkStyle was unable to detect the current GTK+ theme

When I start any Qt app, I get this message in the terminal, and the Qt app doesn't use the same theme as my Gtk apps: QGtkStyle was unable to detect the current GTK+ theme. How do I make QGtkStyle ...
1
vote
1answer
172 views

What is the correct way to use the “scroll-event” signal (on an indicator) for Qt?

I am again at the same position, when I had the question What is the correct way to use g_signal_connect() in C++ for dynamic unity quicklists? There I was informed that the signature for my static ...
6
votes
1answer
4k views

How to add Qt5 to Qt Creator?

I've added the Qt5 Daily repository, installed the qt5-meta-full and added /opt/qt5/bin/qmake to Qt Versions. Now I get :-1: error: Unknown module(s) in QT: declarative Is it possible yet to use ...
0
votes
1answer
111 views

What is the best practice to run applications having GUI written to KDE (like kdenlive, for example)?

Here are three scenarios how can I use such applications with KDE specific GUI: Have separate distro for them, Kubuntu, for example. Install KDE plasma desktop in Ubuntu and start KDE session when I ...
8
votes
3answers
5k views

Making python 3.3 default python 3 interpreter instead of 3.2

So, to keep it simple. Ubuntu 12.10 has python 3.2 pre installed and it is linked to "python3". I downloaded python 3.3 and it's command is "python3.3". However, I downloaded pySide for python3 from ...
0
votes
1answer
372 views

Pirateplayer Not able to install, old repository for Qt desktop components!

I have a slow connection so I used to have pirateplayer to download programs from svt.se but after update to Ubuntu 12.10 it wont be able to install. It wont compile because the repository only ...
9
votes
1answer
479 views

Make sniqt recognize all tray abilities (or create a working indicator in Qt)

There is this old thread of mine: How do I create a working indicator with Qt/C++? where I was suggested to use the QSystemTray library for making a tray icon in Ubuntu for my application. Sniqt is a ...
1
vote
2answers
337 views

Clementine and other Qt-based apps crash when click file manager window

I have a problem while play music on Clementine on Ubuntu 12.04 64 bit. It is crash when I click the file manager window on the right side. Anyone has idea? Basically this happens with a lot of ...
2
votes
1answer
990 views

How to make an indicator for Ubuntu? (Because tray is useless )

So as more of you know, ubuntu has dropped the whole thing about tray and bringed something new called indicators.. As far as i know Qt Creator (IDE) is able to make only a tray and not an indicator ...
7
votes
1answer
1k views

How will Qt 5.0 be packaged for Raring?

Note: as per the FAQ, "Issues with the next version of Ubuntu" may not be asked as questions here but in my opinion, this is not an issue but merely a question asking about policy. If you feel this ...
1
vote
0answers
266 views

Wii remote set up not working with Clementine on Ubuntu 12.10

I have tried to follow this link to set up a wiimote to work with clementine and control the music, but i have reached an impasse. When i try to run cmake . -DDISTRO=ubuntu ...
0
votes
1answer
2k views

How to install libQtGui.so.4 32bit on 64bit ubuntu

I am trying to compile the android tree on Ubuntu 64bit 12.04; The build fails on an error of missing shared library libQtGui.so.4; Check /usr/ lib files i found that: /usr/lib/ or /usr/lib32 doesn't ...
1
vote
1answer
291 views

How do I prevent KDE from messing up my Qt dialog button order?

I use mostly GTK+ applications (eg. Geeqie, Audacious, etc.) on Lubuntu. However, I decided to give KDE 4 a try by installing kubuntu-desktop and then removing the apps I didn't want. Big mistake. ...
3
votes
1answer
175 views

How to create and submit package for Qt application

I have an application that I developed in Qt and Ubuntu. Its primary target is Windows but I prefer working in Ubuntu for all sorts of obvious reasons, so I rebuild it using Qt under XP and create an ...
2
votes
1answer
2k views

Can't Set Environment Variables in ~/.profile

All, I need to set environment variables in my ~/.profile since I am running a program (QtCreator) that doesn't start a bash shell. I cannot for the life of me get it to work though. QtCreator will ...
0
votes
1answer
417 views

getting the following error in installing qt creator through software center

getting the following error in installing qt creator through software center. The following packages have unmet dependencies: qtcreator: Depends: libqt4-help (>= 4:4.7.1) but 4:4.8.1-0ubuntu4 is ...
2
votes
1answer
490 views

Can I create a proprietary application using Qt?

I am using Qt4 to build an application and for some reason I want to keep it proprietary. Qt4 is released under LGPL, does that force me to release the code to my application. I ask this question ...
0
votes
1answer
558 views

What causes blurry fonts in Qt applications (in XFCE desktop)?

I am using Xubuntu 12.04 with XFCE 4.8 Fonts in Qt-based apps like VLC look blurry in my user profile, as if anti-aliasing was turned off. Chrome has the same problem. The problem is not system-wide ...
1
vote
1answer
81 views

Can I directly use the Qt and GTK+ libraries I saw in the Update Manager?

I installed Ubuntu 12.04 on my laptop today, and when I was updating it using the Update Manager, I saw it downloading qt and gtk libraries. Does that mean I can use them directly? Or will I need to ...